2020-10-26 19:06 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004503WipeOut[All Projects] Generalpublic2020-04-18 20:46
ReporterIrek 
Assigned ToStingRayProject InfoWipe Out (Gonzo Games)
http://www.whdload.de/games/WipeOut.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0004503: Hi, the game crashes on my setup with this error: Slave='WipeOut.Slave' (904
DescriptionGameVersion: english,pal,1 disks
SlaveVersion: 1.0 from 29.03.2020.

Hi,
the game crashes on my setup with this error:
************************* 03-Apr-20 19:07:21 ************************18.5.5948***
Slave='WipeOut.Slave' (904 bytes)
Resload   5BF6A000 - 5BF71D2C (  32044) at 5BF6A000  GL=$5BF73000
Slave     5BFFE000 - 5BFFE364 (    868) at 5BFFE000  BaseMemSize=$80000
attn=7F(40,82) fc=-1 kn=10371 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
setcpu=33C(DC,IC,SCB,ECB,BNCS)
Exception "Access Fault" ($7008) PC = $332E Word Read from $A5CAC2
$00003308 addq.b       #1,d2
$0000330a add.w        d2,d2
$0000330c andi.w       #$ff,d2
$00003310 addq.b       #1,d3
$00003312 andi.w       #$ff,d3
$00003316 mulu         d2,d3
$00003318 adda.l       #2,a0
$0000331e move.w       d3,(a0)+                       ;$0006a8ac
$00003320 move.l       d3,d2
$00003322 lsr.w        #1,d2
$00003324 subq.w       #1,d2
$00003326 moveq        #0,d1
$00003328 moveq        #0,d6
$0000332a move.w       #3,d0
$0000332e or.w         (a2),d6                        ;$00a5cac2
$00003330 move.w       (a2)+,(0,a1,d1.l)              ;$00a5cac2 $00078680
$00003334 add.l        d3,d1
$00003336 dbf          d0,$332e
$0000333a move.w       d6,(0,a1,d1.l)                 ;$00078680
$0000333e addq.l       #2,a1
$00003340 dbf          d2,$3326
$00003344 adda.l       d1,a1
$00003346 dbf          d7,$32dc
$0000334a rts
$0000334c move.l       (a0),d0                        ;$0006a8ac
$0000334e andi.l       #$ffffff,d0
$00003354 move.l       d0,a2
$00003356 move.l       a1,d0
$00003358 andi.l       #$ff000000,(a0)                ;$0006a8ac
exception stackframe:
$000007B4 20000000 332E7008 000007F0 05450045 00450045 00A5CAC2 0006A8AA 00000002
$000007D4 0005CAC2 0001271A 00012C76 0006B7F4 0001297C 20040000 32FA006C
regular stack:
$000007F0 000032A0 00012C1A 00040000 31F60000 42DA2000 00000000 00004EF9 0000A58E
$00000810 20790001 2CB47000 10280001 41F90001 27EED040 D0402070 00006000 000841F9
$00000830 000127A8 43F90001 2722323C 000132C1 5241C2FC 0006D2C1 3018D179 00012722
$00000850 60000056 12D81218 B23C0010 6B3C3F01 E809B23C 00036A30 024100FF 24790000
$00000870 C5AED241 12321000 45F90000 08AE141A B2026704 4A1A60F6 121AE909 341F0242
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx    70003         0         0         2        50      AE80         0      AA18
Ax    6A8AC     78680    A5CAC2     1271A     12C76     6B7F4     1297C
                 TTSM III   XNZVC
PC=    332E  SR %0010000000000000  USP=7FC00  ISP=7B4  MSP=7F800
VBR=5BF74000  SFC=5  DFC=5  CACR=80008000  MMUSR=0
TC=8000  URP=5BF68000  SRP=5BF68000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0100000000101010 dmacon=%0000011111000011 adkcon=$1100
intreq=%0000000000000000
vposr....A300  vhposr...0296  joy0dat..050A  joy1dat..0000  clxdat...8001  
pot0dat..E239  pot1dat..1732  potinp...5500  serdatr..3BFF  dskbytr..8000  
deniseid.00F8  hhposr...FFE0  
   ciaa:     PI ROPS		   ciab:     PI ROPS
    cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
        AII ROPS			    AII ROPS
    crb=00000000  tb=21FF<21FF	   crb=00000000  tb=FFFF<FFFF
        10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    pra=11111100  prb=11111111      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=0006BE  icr=00  sdr=00    event=083E4E  icr=00  sdr=00

....................................................................
It's more of a random crash on my 040 CPU. On a 020 CPU and emulator, everything works fine here.
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad18.5
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0008230

StingRay (developer)

This looks like another 24-bit problem, there are a few in the game code. Can you try attached slave, does it still crash?

note ~0008241

Irek (reporter)

Hi,
I just tried it,and another similar error has occurred:
"Acces Fault" ($47008) PC=$332E Word Write to $80000.I may not have tried it long enough. But after the crash everything went well again.I'll try again later with additional options.



BTW: I have a few new icons for the game, if necessary I can upload it here.

note ~0008242

StingRay (developer)

As for icons, please upload them, I will use them in the next update for the game.

Maybe you can find out how the access fault can be triggered, will make fixing it much easier.

note ~0008257

Irek (reporter)

I don't know what is causing the access error. (maybe the 040 CPU)
The first crash happened in the game (human versus computer mode) The second in the table with settings. As I said, accidental crashes do not always happen and not in the same place.

I noticed that shortly after the start picture I have gfx errors (040 CPU) but only for a moment. This does not happen on 020 CPU or emulator. I think that this has nothing to do with the crash.

note ~0008258

Irek (reporter)

I have uploaded the icons for the game now. :)

note ~0008267

StingRay (developer)

Thanks for the icons. :)

I'll do some tests (the game code isn't exactly great) and see if I can reliably reproduce the bug. I'm testing on 060 but I don't think the 040 CPU is the problem, it's just the rather buggy game code causing this.

note ~0008283

Irek (reporter)

I tried playing the game today with various options (snoopocs, chkbltwait, and a few more) no more crashing in the game.

The game crashes with an error (from yesterday) when I go from empty main menu (see picture 1) to the beginning picture (see picture 2) but that happens only on 040 CPU on the emulator I had no crashes.

note ~0008285

StingRay (developer)

Thanks for the info, now I have something I can check. I'll do some tests and, once I found something which needed to be fixed, attach some slaves for you to test here.

note ~0008288

StingRay (developer)

Can you test attached WipeOut.slave_Test2 please and tell me if the problem still occurs? I have added some boundary checks. If the access fault still happens, please attach the WHDLoad register file.

note ~0008293

Irek (reporter)

I just tried it and the game works without any problems on my setup. Thank you for your effort!

note ~0008295

StingRay (developer)

Excellent, thanks for testing, I'll create the updated package then which will also include your icons.

note ~0008298

StingRay (developer)

Updated patch available on the WHDLoad site now.

note ~0008307

Irek (reporter)

Danke!!! :)

note ~0008313

Pascal De Maeseneire (reporter)

It works perfectly now on my both systems A500ACA500PLUS & my A1200 GVPA1230Turbo+II @40 Mhz With 32MB ram OS 3.1.4, Many thanks, Pascal
+Notes

-Issue History
Date Modified Username Field Change
2020-04-17 15:09 administrator New Issue
2020-04-17 15:09 administrator Status new => assigned
2020-04-17 15:09 administrator Assigned To => StingRay
2020-04-17 15:27 StingRay Note Added: 0008230
2020-04-17 15:27 StingRay File Added: WipeOut.slave
2020-04-17 19:28 Irek Note Added: 0008241
2020-04-17 19:44 StingRay Note Added: 0008242
2020-04-17 22:03 Irek Note Added: 0008257
2020-04-17 22:06 Irek File Added: WipeOut.lha
2020-04-17 22:08 Irek Note Added: 0008258
2020-04-18 00:29 StingRay Note Added: 0008267
2020-04-18 12:14 Irek Note Added: 0008283
2020-04-18 12:15 Irek File Added: PIC1.png
2020-04-18 12:15 Irek File Added: PIC2.png
2020-04-18 12:43 StingRay Note Added: 0008285
2020-04-18 13:11 StingRay File Added: WipeOut.slave_Test2
2020-04-18 13:13 StingRay Note Added: 0008288
2020-04-18 15:48 Irek Note Added: 0008293
2020-04-18 16:20 StingRay Note Added: 0008295
2020-04-18 16:43 StingRay Note Added: 0008298
2020-04-18 16:43 StingRay Status assigned => resolved
2020-04-18 16:43 StingRay Resolution open => fixed
2020-04-18 19:32 Irek Note Added: 0008307
2020-04-18 20:46 Pascal De Maeseneire Note Added: 0008313
+Issue History